net.minecraft.client.audio

## Enum SoundList.SoundEntry.Type

- java.lang.Object
- - java.lang.Enum<SoundList.SoundEntry.Type>
  - - net.minecraft.client.audio.SoundList.SoundEntry.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SoundList.SoundEntry.Type>
  Enclosing class:
    SoundList.SoundEntry

      public static enum SoundList.SoundEntry.Type
      extends java.lang.Enum<SoundList.SoundEntry.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE`
    `SOUND_EVENT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SoundList.SoundEntry.Type` | `getType(java.lang.String p_148580_0_)`
    `static SoundList.SoundEntry.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SoundList.SoundEntry.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final SoundList.SoundEntry.Type FILE

    - #### SOUND_EVENT

          public static final SoundList.SoundEntry.Type SOUND_EVENT

  - ### Method Detail

    - #### values

          public static SoundList.SoundEntry.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SoundList.SoundEntry.Type c : SoundList.SoundEntry.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SoundList.SoundEntry.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public static SoundList.SoundEntry.Type getType(java.lang.String p_148580_0_)